CGAL 6.1.2 - Planar Parameterization of Triangulated Surface Meshes: Enums

CGAL 6.1.2 - Planar Parameterization of Triangulated Surface Meshes

Loading...
Searching...
No Matches
Enumerations | Functions
Enums
Reference Manual

##

The enum classes defined and used in this package.

## Enumerations
enum | CGAL::Surface_mesh_parameterization::Error_code { CGAL::Surface_mesh_parameterization::OK , CGAL::Surface_mesh_parameterization::ERROR_EMPTY_MESH , CGAL::Surface_mesh_parameterization::ERROR_NON_TRIANGULAR_MESH , CGAL::Surface_mesh_parameterization::ERROR_NO_TOPOLOGICAL_DISC , CGAL::Surface_mesh_parameterization::ERROR_NO_TOPOLOGICAL_BALL , CGAL::Surface_mesh_parameterization::ERROR_BORDER_TOO_SHORT , CGAL::Surface_mesh_parameterization::ERROR_NON_CONVEX_BORDER , CGAL::Surface_mesh_parameterization::ERROR_CANNOT_SOLVE_LINEAR_SYSTEM , CGAL::Surface_mesh_parameterization::ERROR_NO_1_TO_1_MAPPING , CGAL::Surface_mesh_parameterization::ERROR_WRONG_PARAMETER }
| List of errors detected by this package. More...
enum | CGAL::Surface_mesh_parameterization::Weight_type { CGAL::Surface_mesh_parameterization::Cotangent = 0 , CGAL::Surface_mesh_parameterization::Mean_value }
| The two possible weight types available in the Orbifold Tutte parameterization. More...
enum | CGAL::Surface_mesh_parameterization::Cone_type { CGAL::Surface_mesh_parameterization::First_unique_cone = 0 , CGAL::Surface_mesh_parameterization::Second_unique_cone , CGAL::Surface_mesh_parameterization::Duplicated_cone }
| A classification type for the cones used in Orbifold Tutte parameterization. More...
enum | CGAL::Surface_mesh_parameterization::Orbifold_type { CGAL::Surface_mesh_parameterization::Square = 0 , CGAL::Surface_mesh_parameterization::Diamond , CGAL::Surface_mesh_parameterization::Triangle , CGAL::Surface_mesh_parameterization::Parallelogram }
| The four orbifold types available in the Orbifold Tutte parameterization. More...

## Functions
const char * | CGAL::Surface_mesh_parameterization::get_error_message (int error_code)
| gets the message corresponding to an error code.
const char * | CGAL::Surface_mesh_parameterization::get_orbifold_type (int orb_type)
| Convert the orbifold type to a literal message.

## Enumeration Type Documentation

## ◆ Cone_type

enum CGAL::Surface_mesh_parameterization::Cone_type

`#include <CGAL/Surface_mesh_parameterization/orbifold_enums.h>`

A classification type for the cones used in Orbifold Tutte parameterization.

Enumerator
First_unique_cone | Marker for the cone found at the beginning of the seam.
Second_unique_cone | Marker for the cone found at the end of the seam.
Duplicated_cone | Marker for all the other cones. Cones are duplicated in the sense that when the seam is "opened", the cone appears at two different positions.

## ◆ Error_code

enum CGAL::Surface_mesh_parameterization::Error_code

`#include <CGAL/Surface_mesh_parameterization/Error_code.h>`

List of errors detected by this package.

Enumerator
OK | Success.
ERROR_EMPTY_MESH | Input mesh is empty.
ERROR_NON_TRIANGULAR_MESH | Input mesh is not triangular.
ERROR_NO_TOPOLOGICAL_DISC | Input mesh is not a topological disc.
ERROR_NO_TOPOLOGICAL_BALL | Input mesh is not a topological ball.
ERROR_BORDER_TOO_SHORT | This border parameterization requires a longer border.
ERROR_NON_CONVEX_BORDER | This parameterization method requires a convex border.
ERROR_CANNOT_SOLVE_LINEAR_SYSTEM | Cannot solve linear system.
ERROR_NO_1_TO_1_MAPPING | Parameterization failed: no one-to-one mapping.
ERROR_WRONG_PARAMETER | A method received an unexpected parameter.

## ◆ Orbifold_type

enum CGAL::Surface_mesh_parameterization::Orbifold_type

`#include <CGAL/Surface_mesh_parameterization/orbifold_enums.h>`

The four orbifold types available in the Orbifold Tutte parameterization.

The different shapes result from the number of cones and the angle constraints at the cones.

Enumerator
Square | Three cones, forming a square-shaped basic tile.
Diamond | Three cones, forming a diamond-shaped basic tile.
Triangle | Three cones, forming a triangle-shaped basic tile.
Parallelogram | Four cones, forming a parallelogram-shaped basic tile.

## ◆ Weight_type

enum CGAL::Surface_mesh_parameterization::Weight_type

`#include <CGAL/Surface_mesh_parameterization/orbifold_enums.h>`

The two possible weight types available in the Orbifold Tutte parameterization.

Enumerator
Cotangent | When Cotangent weights are used, the orbifold-Tutte embedding globally minimizes the Dirichlet energy and approximates conformal mappings.
Mean_value | Mean Value Coordinate weights are guaranteed to generate positive edge weights, and the parameterization is guaranteed to be injective.

## Function Documentation

## ◆ get_error_message()

const char * CGAL::Surface_mesh_parameterization::get_error_message | ( | int | error_code | ) |

`#include <CGAL/Surface_mesh_parameterization/Error_code.h>`

gets the message corresponding to an error code.

Parameters

  error_code | The code returned by `parameterize()`

Returns
  The string describing the error code.

## ◆ get_orbifold_type()

const char * CGAL::Surface_mesh_parameterization::get_orbifold_type | ( | int | orb_type | ) |

`#include <CGAL/Surface_mesh_parameterization/orbifold_enums.h>`

Convert the orbifold type to a literal message.

Parameters

  orb_type | the integer value in the enum

Returns
  the string describing the orbifold type.